%define oname   gtk2
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    3.4.1
Release:    %mkrel 1
Summary:    Ruby/GTK2 is a Ruby binding of GTK+-2.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: gtk2-devel
BuildRequires: ruby-cairo-devel
BuildRequires: ruby-glib2-devel = %{version}
BuildRequires: ruby-pango-devel = %{version}
BuildRequires: gobject-introspection-devel

%description
Ruby/GTK2 is a Ruby binding of GTK+-2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}



#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d


%changelog
* Thu Mar 05 2020 pterjan <pterjan> 3.4.1-1.mga8
+ Revision: 1553940
- Update to 3.4.1

* Sat Feb 15 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1527200
- Mageia 8 Mass Rebuild

* Wed Jul 10 2019 pterjan <pterjan> 3.3.6-1.mga8
+ Revision: 1419901
- Update to 3.3.6

* Sat Jan 26 2019 pterjan <pterjan> 3.3.1-1.mga7
+ Revision: 1361042
- Update to 3.3.1

* Mon Nov 05 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1328526
- Update to 3.3.0

* Fri Aug 31 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1255869
- Update to 3.2.9

* Wed Jun 27 2018 pterjan <pterjan> 3.2.7-1.mga7
+ Revision: 1240061
- Add missing BuildRequires
- Update to 3.2.7

* Thu May 31 2018 pterjan <pterjan> 3.2.5-1.mga7
+ Revision: 1233339
- Update to 3.2.5

* Mon Apr 23 2018 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1222010
- Update to 3.2.4

* Mon Apr 02 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1214644
- Update to 3.2.2

* Sun Mar 25 2018 pterjan <pterjan> 3.2.1-1.mga7
+ Revision: 1212472
- Update to 3.2.1

* Mon Jan 01 2018 pterjan <pterjan> 3.1.8-2.mga7
+ Revision: 1188669
- Rebuild for Ruby 2.5

* Wed Aug 16 2017 pterjan <pterjan> 3.1.8-1.mga7
+ Revision: 1141140
- Update to 3.1.8
- Rebuild for new Ruby

* Mon Dec 14 2015 pterjan <pterjan> 3.0.7-2.mga6
+ Revision: 910280
- Add BR
- Update file list
+ spuhler <spuhler>
- rebuild with new libruby
+ tv <tv>
- new release + sync patches with FC

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-7.mga5
+ Revision: 739596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 688820
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-5.mga4
+ Revision: 562774
- Fix file list

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558705
- Update for new binary extensions location

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557522
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538035
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488369
- update file list
- new version 2.0.2
- use new gem_install
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 396010
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312230
- disable check
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147929
- new version 1.0.3
- only build gtk
- update file list
- update file list
- new version 1.0.2

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71463
- New version 0.90.8
- drop unneeded patch since glib2 is in vendorlibdir
- move files in vendorlibdir/vendorarchdir
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49169
- imported package ruby-gtk2

